Subject: RFC 4524 errata

From: Alfred Hönes <[email-masked]>
Date: Fri, 7 Jul 2006 14:51:58 +0200 (MESZ)

Hello,
this is the final instance in a series of feedback messages
regarding the recently published new LDAP RFCs.

My general comments on this document series and the precise
documentation of the document evolution contained in these
memos also hold for RFC 4524, and will not be repeated here
for brevity.

The following items perhaps should be addressed by an RFC Errata
Note, making freely use of the material presented below.
These items are presented in RFC text order.

As usual, I use change bars ('|' in column 1) and up/down pointing
tag lines to emphasize the location of textual issues and/or
proposed corrections.

(1)  referential inconsistency

The second paragraph of Section 1, on page 3 of RFC 4524, says:

   In the years that followed, X.500 Directory Services have evolved to
   incorporate new capabilities and even new protocols.  In particular,
   the Lightweight Directory Access Protocol (LDAP) [RFC4510] was
   introduced in the early 1990s [RFC1487], with Version 3 of LDAP
   introduced in the late 1990s [RFC2251] and subsequently revised in
|  2005 [RFC4510].

It should say:

   In the years that followed, X.500 Directory Services have evolved to
   incorporate new capabilities and even new protocols.  In particular,
   the Lightweight Directory Access Protocol (LDAP) [RFC4510] was
   introduced in the early 1990s [RFC1487], with Version 3 of LDAP
   introduced in the late 1990s [RFC2251] and subsequently revised in
|  2006 [RFC4510].
      ^

(Rationale: RFC 451x and RFC 452x have been published in June 2006.)

(2)  typos

(2a) The third paragraph of Section 1, on page 3 of RFC 4524, says:

|  While much of the material in RFC 1274 has been superceded by
   subsequently published ITU-T Recommendations and IETF RFCs, [...]

It should say:
                                                        v
|  While much of the material in RFC 1274 has been superseded by
   subsequently published ITU-T Recommendations and IETF RFCs, [...]

(2b) The third paragraph of Section 1.1, on page 3, says:

   The description of the 'domain' object class provided in this
|  document supercedes that found in RFC 2247.  That is, Section 3.4 of
   this document replaces Section 5.2 of [RFC2247].

It should say:

   The description of the 'domain' object class provided in this
|  document supersedes that found in RFC 2247.  That is, Section 3.4 of
   this document replaces Section 5.2 of [RFC2247].

(3)  extraneous (duplicated) text

Within Section 3.1 of RFC 4524, the first line on page 14,

   3.3.  documentSeriesExample:

should say:

      Example:

(4)  incomplete information

Within Appendix A of RFC 4524, I miss a note describing the fate
of the 'pilotOrganization' object class (RFC 1274, Section 8.3.13).

Kurt:
  For completeness, it would be nice if you could provide
  supplementary text (similar to, and perhaps to be inserted
  after, section A.3 of RFC 4524) detailing the intentions of
  the authors regarding that object class.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+